@import '../../../../public/assets/styles/variables';

.button {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 292px;
    height: 62px;
    padding: 0;
    background: linear-gradient(180deg, #50A620 7.15%, #50A620 7.16%, #4A991F 100%);
    box-shadow: inset 14px 14px 15px #5ABA25, inset -9px -14px 15px #46921B;
    border: 0;
    outline: 0;
    border-radius: 72px;
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 500;
    font-size: 18px;
    line-height: 32px;
    text-align: center;
    letter-spacing: 0.01em;
    color: #fff;
    cursor: pointer;
    @media (max-width: 1366px) {
        width: 205px;
        height: 44px;
        font-size: 13px;
        font-weight: 400;
    }
    &__first-inner {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 281px;
        height: 52px;
        background: #4B9A1F;
        box-shadow: inset 0px 4px 4px #43891C;
        border-radius: 72px;
        @media (max-width: 1366px) {
            width: 197px;
            height: 38px;
        }
    }
    &__second-inner {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 276px;
        height: 48px;
        background: linear-gradient(180deg, #50A620 7.15%, #50A620 7.16%, #4A991F 100%);
        box-shadow: inset 14px 14px 15px #5ABA25, inset -9px -14px 15px #46921B;
        border-radius: 72px;
        @media (max-width: 1366px) {
            width: 193px;
            height: 35px;
        }
    }
    &__text {
        display: flex;
        align-items: center;
        justify-content: center;
    }
    &:hover {
        background: linear-gradient(180deg, #50A620 7.15%, #50A620 7.16%, #4A991F 100%);
        box-shadow: inset 14px 14px 15px #5ABA25, inset -9px -14px 15px #46921B;
        border-radius: 72px;
    }
    &:hover &__first-inner, &:active &__first-inner   {
        background: transparent;
        box-shadow: none;
        border-radius: 72px;
    }
    &:hover &__second-inner, &:active &__second-inner  {
        background: transparent;
        box-shadow: none;
        border-radius: 72px;
    }
    &:active {
        background: $accent-color;
        box-shadow: inset -8px -8px 8px rgba(100, 191, 51, 0.7), inset 8px 8px 8px rgba(70, 146, 27, 0.9);
        border-radius: 72px;
    }
}